List published solution templates
Returns published, public solution templates in library-compatible format. Public endpoint — no authentication required.
GET
/api/library/solutionRequest
curl
curl -X GET https://trickest.io/api/library/solution \
-H "Authorization: Token $TRICKEST_TOKEN"Responses
200List of published solution templates
resultsobject[]requiredidstringrequirednamestringrequireddescriptionstringtypeenumOne of: solution
complexitystringcategorystringtagsstring[]is_verifiedbooleanis_featuredbooleanfeatured_tagstringcopy_behaviorstringversionstringcreated_datestringmodified_datestringpublicbooleancountinteger400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.